Subject: Re: bug#70139: [PATCH] Improve key-translate to support removing translations

From: Eli Zaretskii <[email-masked]>
Date: Sat, 13 Apr 2024 12:19:48 +0300

> Date: Tue,  9 Apr 2024 13:07:50 +0000
> From: Charalampos Mitrodimas <[email-masked]>
> 
> On 4/9/24 15:57, Stefan Monnier via Bug reports for GNU Emacs, the Swiss 
> army knife of text editors wrote:
> >> -            (lambda (form) (keymap--compile-check from to) form)))
> >> +            (lambda (form) (keymap--compile-check from (if to to nil)) form)))
> >                                                            ^^^^^^^^^^^^^^
> >
> > ??
> >
> > Just like (and to to), this is just a complicated way to say `to`.
> > What is the underlying idea?
> 
> I was trying to pass nil to keymap--compile-check but I was complicating 
> this for no reason. Reverted it completely, apologies.

Stefan, any further comments, or is this ready to be installed?

Charalampos, would you like to start the legal paperwork of assigning
to the FSF the copyright for your contributions?  This contribution is
already slightly above the limit that we are allowed to accept without
a copyright assignment.  If you agree, I will send you the form to
fill and the instructions to go with it.

Thanks.